
<div class="stats horizontal">

    <div class="chart-container-border">
        <div class="chart-container" ng-class="{'toggle': displayChartDonut || displayChartBar}" ng-click="toggleChart()">
            <donut-chart data="chart" height="150" width="350" ng-if="displayChartDonut"></donut-chart>
            <bar-chart data="chart" height="150" width="350" ng-if="displayChartBar"></bar-chart>
        </div>
    </div>

    <div class="carousel-container">
        <ui-carousel slides="stats" slides-to-show="3" slides-to-scroll="3" infinite="false" dots="false">
            <carousel-item>

                <div class="stat-item separator {{item.class}}" title="{{item.label}}"
                     ng-click="$parent.$parent.toggleChart(item.id)">
                        <span class="{{item.id}}"></span>
                        <span class="stat-label">{{item.value}}</span>
                </div>
            </carousel-item>

            <carousel-prev>
                <span class="arrow">
                    <i class="fa fa-angle-left" aria-hidden="true"></i>
                </span>
            </carousel-prev>

            <carousel-next>
                <span class="arrow">
                    <i class="fa fa-angle-right" aria-hidden="true"></i>
                </span>
            </carousel-next>
        </ui-carousel>
    </div>
</div>

<div class="stats vertical">
    <div class="stat-sidebar separator"><span class="{{stats[0].id}}"></span><div>{{stats[0].value}}</div></div>
    <div class="stat-sidebar separator"><span class="{{stats[1].id}}"></span><div>{{stats[1].value}}</div></div>
    <div class="stat-sidebar"><span class="{{stats[2].id}}"></span><div>{{stats[2].value}}</div></div>
</div>





